Subject: Re: [Rats] Next steps on draft-ietf-rats-architecture IPR discussion

From: Roman Danyliw <[email-masked]>
Date: Tue, 25 Jan 2022 23:14:02 +0000

Hi!

Thanks for everyone's patience as we determined how to handle this document.  In both the call on next steps by the chairs [7] and this thread, I was looking for objections, alternative approaches [1] and positive confirmations to proceed [2][3][4][5][6].  Thanks for all of the feedback from the document authors as well.  In response to [8] that requested more time to review the claims, I didn't close the review period in December and kept the call open until now (one month later).  

Upon review of this WG feedback, it appears that the rough consensus is to move forward with publishing this document.

Doc Shepherd (Kathleen): can you please revise the shepherd write-up to capture this discussion.

WG chairs: when you assess that all WGLC feedback has been adjudicated, please advance the document to me with a "publication request"

Regards,
Roman

[1] https://mailarchive.ietf.org/arch/msg/rats/KQhxVPCN3xDgEo5jFhB9on-ayVM/
[2] https://mailarchive.ietf.org/arch/msg/rats/xihv0yHc9hyc7-32sP4J-NJs_HY/
[3] https://mailarchive.ietf.org/arch/msg/rats/uyRm8z6Rzy0YHz8lLNtTbdtBOoI/
[4] https://mailarchive.ietf.org/arch/msg/rats/37EFdkip0px3tG5OasYRpQvZaUU/
[5] https://mailarchive.ietf.org/arch/msg/rats/37EFdkip0px3tG5OasYRpQvZaUU/
[6] https://mailarchive.ietf.org/arch/msg/rats/JrHQgIlSQR7ihMup3K6BiTYXgIU/
[7] https://mailarchive.ietf.org/arch/msg/rats/6FKaaDLry7_PexyhI5jySAOZ3cE/
[8] https://mailarchive.ietf.org/arch/msg/rats/lMudsv_xOzBWP_AXvT47P7bz-Dw/

> -----Original Message-----
> From: RATS <[email-masked]> On Behalf Of Roman Danyliw
> Sent: Wednesday, December 8, 2021 12:36 PM
> To: [email-masked]
> Subject: [Rats] Next steps on draft-ietf-rats-architecture IPR discussion
> 
> Hi!
> 
> The cognizant co-chairs and I have been coordinating on how to handle draft-
> ieft-rats-architecture [1].
> 
> This document [1] is through WG Last Call but emerging IPR claims [6] [7]
> necessitated a WG discussion on how to proceed.  When such claims emerge, it
> is common practice to explicitly consult the WG on next steps with the
> document (but not evaluating the merits of the IPR). This consultation was
> explained during IETF 112 and ran in November [2].  Unfortunately, the results
> were inconclusive due to almost no feedback being provided.
> 
> Specifically, only three parties responded on next steps [3] [4] [5] and among
> the respondents was a document author [3].  [4] suggested the WG wait for the
> full patent details (which are not public) in the case of one IPR claim.  [5]
> indicated support for proceeding with publication as planned.  To repeat, this
> level of feedback is insufficient consensus on any direct.
> 
> If we are to reach resolution on this issue, WG feedback is needed.  As such,
> WG consultation on the IPR is being re-opened till December 20, 2021.  Please
> respond to the thread [2].  Consider the existing IPR feedback discussion to
> date - are you comfortable proceeding to publication with the IPR information
> that exists? do you need to wait for full details on the IPR claims? are you
> outright uncomfortable with publication given the IPR information that is
> published? any other position?
> 
> To make best use of the time while we continue to discuss the issue:
> 
> ** The WG can resolve the early AD review comments [8] shared on November
> 12.  The next step in the document review process is an AD review where these
> would be a subset of blocking feedback before IETF LC.
> 
> ** In response to a request by the document authors, early review by the
> SECDIR and IOTDIR will also be requested by the chairs.  The WG should keep in
> mind that this is an "early review".  As is standard practice, another re-
> review(s) will be triggered in advance of IETF LC and IESG telechat.
> 
> Regards,
> Roman, Nancy and Kathleen
> 
> [1] https://datatracker.ietf.org/doc/draft-ietf-rats-architecture/
> [2] https://mailarchive.ietf.org/arch/msg/rats/6FKaaDLry7_PexyhI5jySAOZ3cE/
> [3]
> https://mailarchive.ietf.org/arch/msg/rats/GrDPAPgYWMgmUJUJu3_GBzC2FSQ
> /
> [4] https://mailarchive.ietf.org/arch/msg/rats/lMudsv_xOzBWP_AXvT47P7bz-
> Dw/
> 
> _______________________________________________
> RATS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rats

---

From: Kathleen Moriarty <[email-masked]>
Date: Wed, 26 Jan 2022 13:22:35 -0500

Thank you, Roman for running this process. I'll update the shepherd report
and progress the document.

Best regards,
Kathleen

On Tue, Jan 25, 2022 at 6:14 PM Roman Danyliw <[email-masked]> wrote:

> Hi!
>
> Thanks for everyone's patience as we determined how to handle this
> document.  In both the call on next steps by the chairs [7] and this
> thread, I was looking for objections, alternative approaches [1] and
> positive confirmations to proceed [2][3][4][5][6].  Thanks for all of the
> feedback from the document authors as well.  In response to [8] that
> requested more time to review the claims, I didn't close the review period
> in December and kept the call open until now (one month later).
>
> Upon review of this WG feedback, it appears that the rough consensus is to
> move forward with publishing this document.
>
> WG chairs: when you assess that all WGLC feedback has been adjudicated,
> please advance the document to me with a "publication request"
>
> Regards,
> Roman
>
> [1]
> https://mailarchive.ietf.org/arch/msg/rats/KQhxVPCN3xDgEo5jFhB9on-ayVM/
> [2]
> https://mailarchive.ietf.org/arch/msg/rats/xihv0yHc9hyc7-32sP4J-NJs_HY/
> [3]
> https://mailarchive.ietf.org/arch/msg/rats/uyRm8z6Rzy0YHz8lLNtTbdtBOoI/
> [4]
> https://mailarchive.ietf.org/arch/msg/rats/37EFdkip0px3tG5OasYRpQvZaUU/
> [5]
> https://mailarchive.ietf.org/arch/msg/rats/37EFdkip0px3tG5OasYRpQvZaUU/
> [6]
> https://mailarchive.ietf.org/arch/msg/rats/JrHQgIlSQR7ihMup3K6BiTYXgIU/
> [7]
> https://mailarchive.ietf.org/arch/msg/rats/6FKaaDLry7_PexyhI5jySAOZ3cE/
> [8]
> https://mailarchive.ietf.org/arch/msg/rats/lMudsv_xOzBWP_AXvT47P7bz-Dw/
>
>
> > [2]
> https://mailarchive.ietf.org/arch/msg/rats/6FKaaDLry7_PexyhI5jySAOZ3cE/
> > [3]

-- 

Best regards,
Kathleen

---

From: Henk Birkholz <[email-masked]>
Date: Thu, 27 Jan 2022 16:29:24 +0100

Hi list,

I have to point out that we are almost done, but not actually finally 
done yet. There are three more editor's meetings scheduled, of which I 
hope we do not need all of them.

Viele Grüße,

Henk

---

From: Roman Danyliw <[email-masked]>
Date: Thu, 27 Jan 2022 15:31:46 +0000

Does this mean that this document should be pushed back to the WG.  I now see it in pub-req.

Roman

> From: Henk Birkholz <[email-masked]>
> Sent: Thursday, January 27, 2022 10:29 AM
> To: Roman Danyliw <[email-masked]>; [email-masked]
> Subject: Re: [Rats] Next steps on draft-ietf-rats-architecture IPR discussion
> 
> Hi list,
> 
> I have to point out that we are almost done, but not actually finally done yet.
> There are three more editor's meetings scheduled, of which I hope we do not
> need all of them.
> 
> Viele Grüße,
> 
> Henk
>

---

From: Henk Birkholz <[email-masked]>
Date: Thu, 27 Jan 2022 16:34:59 +0100

What I am trying to say is that the condition of "all WGLC feedback has 
been adjudicated" has not been established. That takes at least one 
additional consensus call amongst the editors. Which is why we have a 
micro series of editor's meetings scheduled.

Henk

---

From: Kathleen Moriarty <[email-masked]>
Date: Thu, 27 Jan 2022 12:17:20 -0500

I pulled back the document. Please share the status of the document after
the meetings. I will review that the additional comments were appropriately
addressed once the editors feel it is complete.

Best regards,
Kathleen

On Thu, Jan 27, 2022 at 10:35 AM Henk Birkholz <
[email-masked]> wrote:

> done yet.

-- 

Best regards,
Kathleen

---

From: Michael Richardson <[email-masked]>
Date: Thu, 27 Jan 2022 13:11:45 -0500

> micro series of editor's meetings scheduled.

I don't think that the changes requested are well known yet.  As Henk says,
we might not even have consensus among the editors to do them.

I don't think that they will affect IESG review, and can be included
as part of replies to IESG DISCUSS.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: Kathleen Moriarty <[email-masked]>
Date: Thu, 27 Jan 2022 13:14:20 -0500

> as part of replies to IESG DISCUSS.

A summary would be helpful in order to assess that point.

Thank you,
Kathleen

-- 

Best regards,
Kathleen